Skip to main content
`Ctrl`+`K`

# DMPlexGetRefinementLimit

Retrieve the maximum cell volume for refinement

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexGetRefinementLimit(DM dm, PetscReal *refinementLimit)

## Input Parameter

- dm - The `DM`

## Output Parameter

- refinementLimit - The maximum cell volume in the refined mesh

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMRefine()`, `DMPlexSetRefinementLimit()`, `DMPlexGetRefinementUniform()`, `DMPlexSetRefinementUniform()`

## Level

developer

## Location

src/dm/impls/plex/plexrefine.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages